import { graphql } from "@/gql";
//import { NewsFragment } from "@/gql/graphql";
import { getClient } from "@/app/client";
import Link from "next/link";
import { PageHeader } from "@/components/general/PageHeader";
import { IconListBlock } from "@/components/blocks/IconListBlock";

export default async function Page() {
  return (
    <main className="site-main" id="main">
      <PageHeader heading="Praktisk info" />
      <p className="lead">
        Velkommen til oss! Enten du skal på teater, konsert, foredrag, eller er
        student eller pensjonist, gleder vi oss til å se deg på Chateau Neuf.
        Her finner du informasjon om hvordan du kommer deg til oss, og hva vi
        kan by på av tjenester.
      </p>
      <div className="anchorLinks">
        <span className="circlehead">Hopp til:</span>
        <ul>
          <li>
            <a href="#" className="button">
              Adkomst
            </a>
          </li>
          <li>
            <a href="#" className="button">
              Åpningstider
            </a>
          </li>
          <li>
            <a href="#" className="button">
              Billetter
            </a>
          </li>
          <li>
            <a href="#" className="button">
              Booking og utleie
            </a>
          </li>
          <li>
            <a href="#" className="button">
              Hittegods
            </a>
          </li>
          <li>
            <a href="#" className="button">
              Tilgjengelighet
            </a>
          </li>
          <li>
            <a href="#" className="button">
              Vergeordning
            </a>
          </li>
          <li>
            <a href="#" className="button">
              Servering
            </a>
          </li>
        </ul>
      </div>
      <IconListBlock />
    </main>
  );
}
