import { EventFragment } from "@/gql/graphql";
import { EventItem } from "./EventItem";
import { sortSingularEvents, getSingularEvents } from "@/lib/event";
import styles from "./upcomingEvents.module.scss";
import Link from "next/link";

export const UpcomingEvents = ({ events }: { events: EventFragment[] }) => {
  const upcomingSingularEvents = sortSingularEvents(getSingularEvents(events));

  return (
    <section className={styles.upcomingWrapper}>
      <h2 className="circlehead">
        <span className="circle"></span>
        <span className="circle"></span>
        <span className="circle"></span>
        Denne uka på Chateau Neuf
      </h2>
      <ul className={styles.eventList}>
        {upcomingSingularEvents.slice(0, 10).map((event) => (
          <EventItem
            key={event.id}
            event={event}
            mode="singular"
            size="medium"
          />
        ))}
      </ul>
      <div className={styles.calendarLink}>
        <Link href="/arrangementer?mode=calendar">Vis kalender &rarr;</Link>
      </div>
    </section>
  );
};
